#!/usr/bin/env node
import * as path from 'path';
import { createFile } from './util/createFile.js';
import { isFolderExist } from './util/isFolderExist.js';

// const dir = path.dirname('./');
const rootCatalog = path.join('./snp/test');
const configTemplate = ['README.md', '.github/PULL_REQUEST_TEMPLATE.md'];
const init = async ({ files = configTemplate[0], rootCatalog, }) => {
    const rootDir = rootCatalog ? rootCatalog : path.dirname('./');
    const snpRootFolder = path.join(rootDir, 'snp');
    await isFolderExist({
        folderPath: snpRootFolder,
        createFolder: true,
    });
    await createFile({
        filePath: `${snpRootFolder}/snp.config.json`,
        content: JSON.stringify({ version: '2.0.0', template: 'node' }),
    });
};
init({ files: configTemplate[0], rootCatalog }).then((r) => console.log('init'));

export { init };
